-----------------------------------------------------------------------------
-- Site 14
-----------------------------------------------------------------------------
-- GLOBALS
   
function Graze2(name)    
    local animal3;
	animal3 = Entity.FindName(entRoot, name);
	if (animal3) then
    	Animal.SetState(animal3, ST_GRAZING);
    	Animal.EnableFear(animal3, false);	
    	end;
    end;  
  
function Height(name)    
    local animal2;
	animal2 = Entity.FindName(entRoot, name);
	if (animal2) then
    	Animal.SetElvOffset(animal2, 0);
    	Animal.SetCoinMode(animal2, CM_SPAWNREL);	
    	end;
    end;  
    
        
-----------------------------------------------------------------------------
-- PostStage

function PostStage()
    EntGame.EnablePlayerControl(false);
    EntGame.ClearFlag(GF_READYTOSTART);
    EntGame.BindCameraToEntity("IntroCamera");
    end;    
    
-----------------------------------------------------------------------------    
-- Setup

function Setup()

    EntGame.PushMenu("MenuGameRunning");

    SetupWorld("Maps\\Site14\\Site14.ini", "","","");
    EntGame.CreatePlayerEntities();
    
    	-- do any setup that is specifically for testing.
	if (EntGame.TestingLevels()) then
		Testing();
		end;  
    
    EntGame.SetGlobalDustColorInitial(1.0, 1, 1, 1);
    EntGame.SetGlobalDustColorFinal  (0.0, 0, 0, 0);

    EntGame.SetStageTimer(185);

    EntGame.LoadAnimal(AID_MUSK_OX_M);
	EntGame.LoadAnimal(AID_LYNX);	
	EntGame.LoadAnimal(AID_CARIBOU_M);
	EntGame.LoadAnimal(AID_CARIBOU_F);
	EntGame.LoadAnimal(AID_ARCTIC_HARE);
	EntGame.LoadAnimal(AID_MOOSE);
	EntGame.LoadAnimal(AID_ELK_M);
	EntGame.LoadAnimal(AID_GOOSE);
	
    -- setup tournament logic    
    EntGame.StagePrepare();           

    -- show the scene from the intro camera
    EntGame.BindCameraToEntity("IntroCamera");
    
    -- tell the game the world has loaded
    Entity.GameEventPre(Game.GetRootEntity(), GE_WORLDLOADED, 0);	

    -- wait until the intro dialog is dispatched
    while (EntGame.GetFlag(GF_READYTOSTART) == false) do
        Script.WaitFrame(1);
        end;

    -- do a fade out        
    FadeOut();
    Script.WaitSec(0.5);   
    
    end;
    
-----------------------------------------------------------------------------------
function Intro()

	EntGame.PlaySong("Music\\HillbillyBeatdown.ogg");	        

    -- while the scene is black, change the view
    -- grab the camera
    entCamera = Entity.FindName(entRoot, "MainCamera");
    -- show the scene from the camera view
    EntGame.BindCameraToEntity(entCamera);    
    
    -- set up initial player position and animals
	Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.01);    
        
	Buffalo1=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "Path1", 0, ST_WPT_WALK, 10, 0, 0, 1.2);
	Animal.FaceEntity(Buffalo1, entCamera); 
	Buffalo3=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "LongPath1", 0, ST_WPT_WALK, 18, 0, 0, 1.2);
		
	EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath1", 0, ST_WPT_WALK, 11, 0, 0, 1.5);
	Leopard1=EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath2", 0, ST_WPT_WALK, 13, 0, 0, .5);
	Animal.FaceEntity(Leopard1, entCamera); 
	
    -- set the camera to a cool spot, then fade in
    EntGame.BindCameraToEntity("CountdownCamera3");
    FadeIn();    
    Script.WaitSec(1.0); 
    
    -- "3"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_3, 0);   
    Script.WaitSec(1.0);
    
    -- "2"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_2, 0);   
    EntGame.BindCameraToEntity("CountdownCamera2");
    Script.WaitSec(1.0);
    
    -- "1"
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_1, 0);   
    EntGame.BindCameraToEntity("CountdownCamera1");
    Script.WaitSec(1.0);
    
    -- "HUNT!"  
    entCamera = Entity.FindName(entRoot, "MainCamera");
    EntGame.BindCameraToEntity(entCamera);    
    Camera.JumpToWaypoint(entCamera, "CamWptAA");
    Camera.SetSpeed(entCamera, 0.0, 0.1);    
    EntGame.BindInputToEntity("Player1");  
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_COUNTDOWN_HUNT, 0);     
    Entity.GameEventPre(Game.GetRootEntity(), SSK1_START, 0);

    end;
    
-----------------------------------------------------------------------------
-- Use this function for overriding various game parameters (i.e. weapon availability, etc.)
function Testing()
    EntGame.SetPlayerWeapon(0, WS_PISTOL, 	    WID_PISTOL_3);
	EntGame.SetPlayerWeapon(0, WS_SINGLE_RIFLE, WID_SINGLE_RIFLE_4);
    EntGame.SetPlayerWeapon(0, WS_SHOTGUN,	    WID_SHOTGUN_3);	
	EntGame.SetPlayerWeapon(0, WS_AUTO_RIFLE, 	WID_AUTO_RIFLE_3);	
	EntGame.SetPlayerWeapon(0, WS_BOW, 		    WID_BOW_2);
	EntGame.ResetWeaponIcons();
	end;

-----------------------------------------------------------------------------
function Part1()

	Script.WaitSec(1.5);	
	EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "LongPath1", 0, ST_WPT_RUN, 0, -3, 2, 1.2);	
	Script.WaitSec(2.5);
	EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "LongPath1", 0, ST_WPT_RUN, 0, -3, 2, 1.2);	
	Script.WaitSec(4.5);		
	EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "LongPath4", 0, ST_WPT_RUN, 0, 0, 0, 1.2);
	Script.WaitSec(3);
	EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "LongPath1", 0, ST_WPT_WALK, 0, 0, 0, 1.2);
	
	--ACCELERATION
    Camera.SetSpeed(entCamera, 1.0, .1); 
  	Script.WaitSec(.25);
    Camera.SetSpeed(entCamera, 2.0, .1); 
    Script.WaitSec(3);

	EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath3", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
			
    Camera.StopAtWaypoint(entCamera, "CamWptTT");

	Script.WaitSec(1.5);

	EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath2", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	Script.WaitSec(1.5);
	EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath3", 0, ST_WPT_RUN, 0, -.5, 0, 1.2);		
	Script.WaitSec(5.5);	
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath4", 0, ST_WPT_RUN, 0, -1.5, 0, .8);	
	Script.WaitSec(1.0);
	
	--POWERUP
	Hare = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath4", 0, ST_WPT_RUN, 0, -.5, 0, .8);	
	EntGame.CreateAnimalPowerUp(Hare, PID_WILEY_VISION_50);
	
	Script.WaitSec(2.5);
	a1=EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath6", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	Animal.FaceEntity(a1, entCamera);
	Script.WaitSec(1.0);
	a2=EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath6", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	Animal.FaceEntity(a2, entCamera);	
	a3=EntGame.SpawnAnimalOnPath(AID_LYNX, "LongPath5", 0, ST_WPT_RUN, 0, 0, 0, 1.2);	
	Animal.FaceEntity(a3, entCamera);
	Script.WaitSec(2.0);
	
	--PREDATOR #1
	Rhino1=EntGame.SpawnAnimalOnPath(AID_MOOSE, "BunnyPath5", 0, ST_WPT_WALK, 12, 0, 0, 1.2);	
	Animal.FaceEntity(Rhino1, entCamera);
	Animal.SetAutoChargeDist(Rhino1, 10);	
	Animal.SetAttackType(Rhino1, ATK_STRAFE);
	Animal.SetStrafeAttackDist(Rhino1, 8);
	Animal.SetStrafeAttackDelay(Rhino1, .5);
	Animal.SetPostAttackRand(Rhino1, false);
	Animal.SetPostAttackDir(Rhino1, 60);
	Animal.SetPostAttackTimer(Rhino1, 1.5);
	Entity.SetName(Rhino1, "Rhino1");
	
	Rhino4=EntGame.SpawnAnimalOnPath(AID_ELK_M, "BunnyPath6", 0, ST_WPT_WALK, 9.5, 0, 0, 1.2);	
	Animal.FaceEntity(Rhino4, entCamera);
	Entity.SetName(Rhino4, "Rhino4");
	Script.WaitSec(6.0);
	Run("Rhino1");		
	Script.WaitSec(2.5);
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath7", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Script.WaitSec(1.0);
	
	--POWERUP
	Hare = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath8", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.CreateAnimalPowerUp(Hare, PID_4X_MAGAZINE);
	
	Script.WaitSec(2.0);
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath9", 0, ST_WPT_RUN, 0, 1, 0, 1);
	Script.WaitSec(.5);
	Buffalo1=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "BunnyPath12", 0, ST_WPT_WALK, 0, 0, 0, .6);	
	Entity.SetName(Buffalo1, "Buffalo1");					

	Script.WaitSec(2.0);
	Rhino3=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "BunnyPath11", 0, ST_WPT_WALK, 0, 0, 0, .6);	
	Entity.SetName(Rhino3, "Rhino3");  		
	Script.WaitSec(1.5);
	
	a5=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path4", 0, ST_WPT_RUN, 0, 0, 0, .7);
	Animal.FaceEntity(a5, entCamera);
	Script.WaitSec(1);
	
	a6=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path4", 0, ST_WPT_RUN, 0, 1.5, 0, 1.0);
	Animal.FaceEntity(a6, entCamera);	
	Script.WaitSec(2.5);	

	EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath10", 0, ST_WPT_RUN, 0, 1, 0, 1.0);
	Script.WaitSec(.5);	
	Lynx = EntGame.SpawnAnimalOnPath(AID_LYNX, "Path5", 0, ST_WPT_RUN, 0, 0, 0, 1.0);
	Script.WaitSec(1.5);		
	Run("Buffalo1");		
	EntGame.SpawnAnimalOnPath(AID_LYNX, "Path5", 0, ST_WPT_RUN, 0, 0, 0, 1.0);	
	Script.WaitSec(5);
	Run("Rhino3");
	Script.WaitSec(1.0);
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Script.WaitSec(1.0);	
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath14", 0, ST_WPT_RUN, 0, -1.5, 0, 1);	
	Script.WaitSec(1.0);				
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path6", 0, ST_WPT_RUN, 0, -.5, 0, .5);	
	Script.WaitSec(.5);
	R1=EntGame.SpawnAnimalOnPath(AID_MOOSE, "Path27", 0, ST_WPT_WALK, 0, 0, 0, .8);	
	Animal.FaceEntity(R1, entCamera);		
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath13", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Script.WaitSec(5.0);
	Eland1=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path8", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Animal.FaceEntity(Eland1, entCamera);		
	Eland2=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path7", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Animal.FaceEntity(Eland2, entCamera);	
	Script.WaitSec(1.5);
	Eland3=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path8", 0, ST_WPT_RUN, 0, 0, 0, .7);	
	Animal.FaceEntity(Eland3, entCamera);
	Script.WaitSec(1.0);
	
	--POWERUP
	Eland4=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path7", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.CreateAnimalPowerUp(Eland4, PID_4X_RELOAD_RATE);
	Animal.FaceEntity(Eland4, entCamera);
	
	EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath22", 0, ST_WPT_RUN, 0, 0, 0, 1);		
	Script.WaitSec(1.0);
		 
	a1=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "Path10", 0, ST_GRAZING, 30, -2, 0, 1.0);
    Entity.SetName(a1, "CARIBOU1");	
	a2=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "Path9", 0, ST_GRAZING, 20, 0, 0, 1.0);
    Entity.SetName(a2, "CARIBOU2");	
	a3=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path12", 0, ST_GRAZING, 25, 0, 0, .7);
    Entity.SetName(a3, "CARIBOU3");	 
	a4=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "BunnyPath15", 0, ST_GRAZING, 30, 0, 0, 1.0);
    Entity.SetName(a4, "CARIBOU4");	  
	a41=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "Path11", 0, ST_GRAZING, 45, 0, 0, 1.0);
    Entity.SetName(a41, "CARIBOU5");  
       
	Script.WaitSec(4);
	Lynx = EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath21", 0, ST_WPT_RUN, 0, 0, 0, 1.7);
	Animal.FaceEntity(Lynx, entCamera);
	Script.WaitSec(1.5);
	
	Script.WaitSec(3.5);
	Walk("CARIBOU1");
	Script.WaitSec(2);
	Walk("CARIBOU2");
	
	Script.WaitSec(1);	
	Run("CARIBOU1");	

	CARIBOU1=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path9", 0, ST_WPT_RUN, 20, -3.5, -.5, .7);
	Animal.FaceEntity(CARIBOU1, entCamera);		
	Script.WaitSec(2);
	Run("CARIBOU2");
	
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "BunnyPath16", 0, ST_WPT_RUN, 25, 0, 0, .4);
		
	Script.WaitSec(4);
	Walk("CARIBOU3");
	Script.WaitSec(1);
	Walk("CARIBOU4");
		
	Script.WaitSec(1);	
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "BunnyPath15", 0, ST_WPT_RUN, 30, -3, 0, .7);		
	Script.WaitSec(1);	
	Run("CARIBOU3");
	Walk("CARIBOU5");

	Script.WaitSec(1.0);
		
	--RUN DOWN CENTER
	EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "BunnyPath17", 0, ST_WPT_RUN, 25, 0, 0, .4);
	
	Script.WaitSec(2.0);	
	Run("CARIBOU4");
	Script.WaitSec(2);
	Run("CARIBOU5");	
	Script.WaitSec(6);
	EntGame.DestroyAllAnimals();
	Script.WaitSec(1);
	
	--POWERUP
	Bunny1=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path13", 0, ST_WPT_RUN, 25, 0, 0, 1.0);
	Animal.FaceEntity(Bunny1, entCamera);
	EntGame.CreateAnimalPowerUp(Bunny1, PID_WILEY_VISION_50);
	Entity.SetName(Bunny1, "Bunny Number 1");
	
	Script.WaitSec(1.5);
	Bunny2=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path13", 0, ST_WPT_RUN, 25, 0, 0, 1.0);
	Animal.FaceEntity(Bunny2, entCamera);	
	Entity.SetName(Bunny2, "Bunny Number 2");
	Script.WaitSec(.5);	
	Bunny3=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path13", 0, ST_WPT_RUN, 25, 0, 0, 1.0);
	Animal.FaceEntity(Bunny3, entCamera);	
	Entity.SetName(Bunny3, "Bunny Number 3");
	Script.WaitSec(1.0);				
	Bunny4=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "Path13", 0, ST_WPT_RUN, 25, 0, 0, 1.0);
	Animal.FaceEntity(Bunny4, entCamera);
	Entity.SetName(Bunny4, "Bunny Number 4");
	Script.WaitSec(1.5);
	Leopard1=EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath18", 0, ST_WPT_RUN, 25, 0, 0, 1.0);
	Animal.FaceEntity(Leopard1, entCamera);	
	Entity.SetName(Leopard1, "Lynx Number 1");	
	
	--POWERUP
	Leopard2=EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath19", 0, ST_WPT_WALK, 8, 0, 0, .8);	
	Animal.FaceEntity(Leopard2, entCamera);	
	EntGame.CreateAnimalPowerUp(Leopard2, PID_BODY_ARMOR_50);
	Entity.SetName(Leopard2, "Lynx Number 2");	
	
	Script.WaitSec(1.0);
	Bunny5=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath20", 0, ST_WPT_RUN, 25, -1, -1, 1.0);
	Animal.FaceEntity(Bunny5, entCamera);	
	Entity.SetName(Bunny5, "Bunny Number 5");	
	Script.WaitSec(1.0);		
	Bunny6=EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath20", 0, ST_WPT_RUN, 25, 0, 0, 1.0);	
	Animal.FaceEntity(Bunny6, entCamera);
	Entity.SetName(Bunny6, "Bunny Number 6");
	Leopard3 = EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path14", 0, ST_WPT_RUN, 0, 0, 0, 1.0);	
	Entity.SetName(Leopard3, "Lynx Number 3");		
	Script.WaitSec(3);
	AB1=EntGame.SpawnAnimalOnPath(AID_ELK_M, "Path15", 0, ST_WPT_WALK, 25, 0, 0, 1.0);	
    Entity.SetName(AB1, "AB1"); 	
	AB2=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "Path16", 0, ST_WPT_WALK, 25, 0, 0, .7);	
	Entity.SetName(AB2, "AB2");		
	AB3=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path17", 0, ST_WPT_WALK, 25, 0, 0, .7);	
	Entity.SetName(AB3, "AB3");
	AB4=EntGame.SpawnAnimalOnPath(AID_CARIBOU_F, "Path18", 0, ST_WPT_WALK, 25, 0, 0, 1.0);
	Entity.SetName(AB4, "AB4");	
	
	Script.WaitSec(9);
	Run("AB1");
	Animal1 =EntGame.SpawnAnimalOnPath(AID_MOOSE, "Path23", 0, ST_GRAZING, 25, 0, 0, 1.0);
    Entity.SetName(Animal1, "RHINOA5"); 
	
	Script.WaitSec(1.0);
	Run("AB4");	
	Script.WaitSec(2.0);
	Run("AB2");	
	Script.WaitSec(1.0);
		
	--POWERUP	
	ac1=EntGame.SpawnAnimalOnPath(AID_CARIBOU_M, "Path19", 0, ST_GRAZING, 20, 0, 0, 1.2);
    Entity.SetName(ac1, "RHINOA1");	
	
    --PREDATOR #2
	ac3=EntGame.SpawnAnimalOnPath(AID_MOOSE, "Path21", 0, ST_GRAZING, 20, 0, 0, .6);
    Animal.FaceEntity(ac3, entCamera);
	Animal.SetAutoChargeDist(ac3, 7); 
	Animal.SetAttackType(ac3, ATK_STATIC);
	Animal.SetStaticAttackDist(ac3, 7);
	Animal.SetStaticAttackDelay(ac3, 1.0);	
	Animal.SetPostAttackRand(ac3, false);
	Animal.SetPostAttackDir(ac3, 90);	
    Entity.SetName(ac3, "RHINOA3");	  

 	ac6=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "Path24", 0, ST_GRAZING, 20, 0, 0, .6);
    Entity.SetName(ac6, "RHINOA6");	
    
    --PREDATOR #3
	ac7 = EntGame.SpawnAnimalOnPath(AID_MOOSE, "Path25", 0, ST_GRAZING, 23, 0, 0, .7);
    Animal.FaceEntity(ac7, entCamera);
    Animal.SetAutoChargeDist(ac7, 10); 
	Animal.SetAttackType(ac7, ATK_STATIC);
	Animal.SetStaticAttackDist(ac7, 7.5);
	Animal.SetStaticAttackDelay(ac7, 1.0);	
    Animal.SetStrafeAttackDist(ac7, 6);
	Animal.SetPostAttackRand(ac7, false);
	Animal.SetPostAttackDir(ac7, -90);		
    Entity.SetName(ac7, "RHINOA7");	 
     
	ac8=EntGame.SpawnAnimalOnPath(AID_MUSK_OX_M, "Path26", 0, ST_GRAZING, 20, 0, 0, .6);
    Entity.SetName(ac8, "RHINOA8"); 
 	Script.WaitSec(3.0);
 	Walk("RHINOA5");	
	Run("AB3");	 
	Walk("RHINOA6");	
	Script.WaitSec(4.0);  
	Walk("RHINOA8");
	Script.WaitSec(1.0); 
	Walk("RHINOA3");	
	Script.WaitSec(1.0);
	Walk("RHINOA1");
	Walk("RHINOA2");

	Script.WaitSec(15.0);
	
	Lynx = EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Script.WaitSec(3.0);
	
	a = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Entity.SetName(a, "A");
	Script.WaitSec(.5);
	b = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath24", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Entity.SetName(b, "B");
	Script.WaitSec(1.0);
	c = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath25", 0, ST_WPT_RUN, 0, 0, 0, 1);
	Entity.SetName(c, "C");
	Script.WaitSec(1.0);
	d = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Entity.SetName(d, "D");	
	Script.WaitSec(1.0);	
	e = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath25", 0, ST_WPT_RUN, 0, -1.0, -.5, 1);
	Entity.SetName(e, "E");
	Script.WaitSec(1.5);
	f = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath23", 0, ST_WPT_RUN, 0, 0, 0, 1);	
	Entity.SetName(f, "F");
	Script.WaitSec(1.5);	
	
	EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath26", 0, ST_WPT_RUN, 0, -.75, -.75, 1);
	
	Script.WaitSec(1.5);
	g = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath26", 0, ST_WPT_RUN, 0, -1.5, -1.5, 1);
	Entity.SetName(g, "G");
	Script.WaitSec(1.0);
	h = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath26", 0, ST_WPT_RUN, 0, -.75, -.75, 1);
	Entity.SetName(h, "H");
	Script.WaitSec(1.0);
	i = EntGame.SpawnAnimalOnPath(AID_ARCTIC_HARE, "BunnyPath26", 0, ST_WPT_RUN, 0, 1, 1, 1);	
	Entity.SetName(i, "I");
	Script.WaitSec(4.0);
	
	--POWERUP
	Lynx = EntGame.SpawnAnimalOnPath(AID_LYNX, "BunnyPath26", 0, ST_WPT_RUN, 0, 0, 0, 1);
	EntGame.CreateAnimalPowerUp(Lynx, PID_WILEY_VISION_100);
	
	EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongerPath5", 1, ST_GRAZING, 10, 0, 0, 1);

	--POWERUP
	Elk = EntGame.SpawnAnimalOnPath(AID_ELK_M, "LongerPath5", 0, ST_GRAZING, 12, 0, 0, 1);
	EntGame.CreateAnimalPowerUp(Elk, PID_3X_SCORE);
	
  	Script.WaitSec(6.5);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -.5, 0, 1.2);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, -3.6, 1.5, 6, 1.0);
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -1.5, 0, 1.2);
	Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 5, 3, -5, 1.0);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 1.5, 0, -.5, .5);	   
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 0, 1, 0, 1.2);
	Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 4, 1.5, -4, 1.0);    	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, .5, 0, 2, 1.1);
	Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -1.5, 0, 1.2);  	
    Script.WaitSec(1.0);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 0, 1.5, 0, 1.2);
	Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, -3.6, 2, 6, 1.0);      
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -.5, 0, 1.2);  	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 1.5, 1.5, -1.5, 1.2);	
	Script.WaitSec(1);	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, .5, 2, -.5, 1.2);
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -.5, 0, 1.2);  	
    Script.WaitSec(.5);
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path29", 0, 0, -.5, 0, 1.2);  	
    EntGame.SpawnBirdOnPath(AID_GOOSE, "Path30", 0, 1.5, 1.5, -1.5, 1.2);	
	
    end;  

-----------------------------------------------------------------------------
-- Main entry point
   
Setup();   
Intro();
Part1();

 